Index: trunk/data/konvert/postnas_0.7/sichten.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/sichten.sql	(revision 162)
+++ trunk/data/konvert/postnas_0.7/sichten.sql	(revision 176)
@@ -6,4 +6,6 @@
 
 --  2012-02-25 PostNAS 07, Umbenennung
+--  2012-04-17 flstnr_ohne_position
+
 
 --  -----------------------------------------
@@ -12,6 +14,6 @@
 
 
--- Layer "ag_t_flurstueck"
--- -----------------------
+-- WMS-Layer "ag_t_flurstueck"
+-- ---------------------------
 
 -- Die Geometrie befindet sich in "ap_pto", der Label in "ax_flurstueck"
@@ -20,23 +22,49 @@
 
 -- Bruchnummerierung erzeugen
+-- ALT 2012-04-17: Diese Version zeigt nur die manuell gesetzten Positionen
 CREATE OR REPLACE VIEW s_flurstueck_nr
 AS 
- SELECT ap_pto.ogc_fid, 
-        ap_pto.wkb_geometry,   -- Position des Textes
-    --  ax_flurstueck.flurstueckskennzeichen,   -- am Stueck, aufgefuellt, unpraktisch
-    --  ax_flurstueck.gemarkungsnummer,  -- integer
-    --  ax_flurstueck.flurnummer,        -- integer
-    --  ax_flurstueck.zaehler,           -- integer
-    --  ax_flurstueck.nenner,            -- integer oder NULL
-        ax_flurstueck.zaehler::text || COALESCE ('/' || ax_flurstueck.nenner::text, '') AS fsnum
-   FROM ap_pto
-   JOIN alkis_beziehungen 
-     ON ap_pto.gml_id = alkis_beziehungen.beziehung_von
-   JOIN ax_flurstueck 
-     ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
-  WHERE alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
+ SELECT f.ogc_fid, 
+        p.wkb_geometry,  -- Position des Textes
+        f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS fsnum
+   FROM ap_pto             p
+   JOIN alkis_beziehungen  v  ON p.gml_id       = v.beziehung_von
+   JOIN ax_flurstueck      f  ON v.beziehung_zu = f.gml_id
+  WHERE v.beziehungsart = 'dientZurDarstellungVon' 
+  --AND p."art" = 'ZAE_NEN'
   ;
 
 COMMENT ON VIEW s_flurstueck_nr IS 'fuer Kartendarstellung: Bruchnummerierung FlurstÃŒck';
+
+-- NEU 2012-04-17
+-- Wenn keine manuelle Position gesetzt ist, wird die Flaechenmitte verwendet
+
+-- ACHTUNG: Dieser View kann nicht direkt im Mapserver-WMS verwendet werden.
+-- Die Anzeige ist zu langsam. Filterung ÃŒber BBOX kann nicht funktionieren, da zunÃ€chst ALLE Standardpositionen 
+-- berechnet werden mÃŒssen, bevor darÃŒber gefiltert werden kann.
+
+-- FAZIT: In einer Hilfstabelle mit geometrischem Index zwischenspeichern.
+--        Siehe PostProcessing Tabelle "pp_flurstueck_nr"
+
+CREATE OR REPLACE VIEW s_flurstueck_nr2
+AS 
+  SELECT f.ogc_fid, 
+         p.wkb_geometry,  -- manuelle Position des Textes
+         f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS fsnum
+    FROM ap_pto             p
+    JOIN alkis_beziehungen  v  ON p.gml_id       = v.beziehung_von
+    JOIN ax_flurstueck      f  ON v.beziehung_zu = f.gml_id
+   WHERE v.beziehungsart = 'dientZurDarstellungVon' 
+   --AND p."art" = 'ZAE_NEN'
+ UNION 
+  SELECT f.ogc_fid,
+         ST_PointOnSurface(f.wkb_geometry) AS wkb_geometry,  -- Flaechenmitte als Position des Textes
+         f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS fsnum
+    FROM      ax_flurstueck     f 
+    LEFT JOIN alkis_beziehungen v  ON v.beziehung_zu = f.gml_id
+   WHERE v.beziehungsart is NULL
+  ;
+
+COMMENT ON VIEW s_flurstueck_nr2 IS 'Bruchnummerierung FlurstÃŒck, auch Standard-Position. Nicht direkt fuer WMS verwenden';
 
 
@@ -313,4 +341,31 @@
 --  Sichten fuer Fehlersuche und Daten-Analyse
 --  ------------------------------------------
+
+
+-- FlurstÃŒcke mit Anzeige der FlurstÃŒcksnummer an der "Standardposition"
+
+-- Nach der Konvertierung aus ALK hat zunÃ€chst jedes FlurstÃŒck eine explizit gesetzte Position der FlurstÃŒcksnummer.
+
+-- Nach einer manuellen Teilung bekommen die neuen FlurstÃŒcke im ALKIS nur dann eine Position,
+-- wenn die Positioin manuell bestimmt (verschoben) wurde.
+-- Wenn die FlurstÃŒcksnummer an ihrer "Standardposition" angezeigt werden soll, 
+-- dann wird diese in den Daten (DHK, NAS) nicht gesetzt.
+-- Der Konverter PostNAS konvertiert aber nur die Daten, die er bekommt, er setzt nicht die Standard-Position 
+-- fÃŒr die FlurstÃŒcke, die ohne eine manuelle Position kommen.
+
+-- Diese FÃ€lle identifizieren
+CREATE OR REPLACE VIEW flstnr_ohne_position
+AS 
+ SELECT f.gml_id, 
+        f.gemarkungsnummer || '-' || f.flurnummer || '-' || f.zaehler::text || COALESCE ('/' || f.nenner::text, '') AS such -- Suchstring fÃŒr ALKIS-Navigation nach FS-Kennzeichen
+ FROM        ax_flurstueck     f 
+   LEFT JOIN alkis_beziehungen v  ON v.beziehung_zu = f.gml_id
+ --LEFT JOIN ap_pto            p  ON p.gml_id       = v.beziehung_von
+  WHERE v.beziehungsart is NULL
+--ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler
+  ;
+
+COMMENT ON VIEW flstnr_ohne_position IS 'FlurstÃŒcke ohne manuell gesetzte Position fÃŒr die PrÃ€sentation der FS-Nr';
+
 
 -- Zeigt die Texte an, die nicht in einem der Mapfile-Views verarbeitet werden
